Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 595428 - RFE: 'virsh list' should output more information 'xm list'.
Summary: RFE: 'virsh list' should output more information 'xm list'.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Virtualization Tools
Classification: Community
Component: libvirt
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Libvirt Maintainers
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-24 15:22 UTC by Kirby Zhou
Modified: 2016-04-27 05:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-21 00:12:05 UTC


Attachments (Terms of Use)

Description Kirby Zhou 2010-05-24 15:22:06 UTC
Description of problem:

'virsh list' should output more information 'xm list'.
It is very useful for administrators to quick detect where is the problem.


Expected results:

1. the amount of memory used by guest, and maxmem
2. vcpu count
3. uptime of guest
4. More Info such as CPU usage and IOPS of block devices.

for example:
Id Name       State        Memory   VCPU     Uptime    CPU   IOPS
---------------------------------- 
  1 bbs       idle         768M      2       3hours     5%   12.1
  2 bbs2      idle         768M      4      10hours    12%    0.3

5. add an option to find out autostart enabled guests.

Thanks

Comment 3 Cole Robinson 2016-03-21 00:12:05 UTC
This never materialized I don't know if 'virsh list' is really even the right place. Maybe check out virt-top


Note You need to log in before you can comment on or make changes to this bug.